---
title: "Get region values"
type: reference
method: GET
path: /rest-api/targeting/country/region/values.do
tag: "Targeting Rules"
---

# Get region values

`GET https://YOUR-NETWORK-DOMAIN/rest-api/targeting/country/region/values.do`

Returns the region names of a country, for location targeting rules. Requires MANAGE_DEMAND_TARGETING or MANAGE_SUPPLY_PRE_TARGETING permission.

## Query params

| Name | Type | Required | Example | Description |
|---|---|---|---|---|
| `countryCode` | string | yes | `US` | ISO country code |

## Responses

- `200` — Success
- `400` — Unknown country code
- `401` — Unauthorized
- `403` — Forbidden
- `500` — Internal server error
- `503` — The geo service did not answer; retry later

## Example request

```bash
curl --request GET \
  --url 'https://YOUR-NETWORK-DOMAIN/rest-api/targeting/country/region/values.do?countryCode=US' \
  --header 'X-Api-Key: YOUR_API_KEY'
```

Source: https://epom.com/ad-server/docs/api/targeting-rules/get-targeting-country-region-values